function Word2vec(data) {
  function clean(str) {
    return str.split(":")[0];
}

this.data = [];

if (data.length > 0 && data[0].length > 0) {
  this.data = [];
  this.data.push({
    text:clean(data[0][0]),
    weight:1,
    color: "violet"
  });

  console.log(JSON.stringify(data[0][1]));

  var _tab = data[0][1];
  for (var el in _tab) {
    var __link = "cost_tam" + el;
    this.data.push({
      text: clean(_tab[el][0]),
      weight: _tab[el][1],
      link: "/lemma/pl/" + clean(_tab[el][0]),
      handlers :{
        click: function(res) {
          return Word2vec.wordClick(res);
        }
      }
    });

      if (el > 50) {
        break;
      }
    }
    console.log(this.data);
  }
}

Word2vec.wordClick = function(res) {
  Lexp.target = "word2vec";
  var target = "/lemma/pl/" + res.target.textContent;
  Lexp.go2URL(target);

  return false;
}

Word2vec.prototype.showHTML = function(tag) {
  tag.html("");
  tag.css("width", "100%");
  stag = tag.append("<div/>").find('div:last-child');
  data = this.data;

  stag.jQCloud(this.data, {
    height: 350,

    shape: 'rectangular'
  });
  $("#lexpelement_word2vec .jqcloud");

}

Word2vec.id = "word2vec";
var data = [], id;

function reloadJQCloud() {
  $("#lexpelement_word2vec .jqcloud").css("width", "100%");
  $("#lexpelement_word2vec .jqcloud").empty();
  $("#lexpelement_word2vec .jqcloud").jQCloud(data, {
    height: 350,
    shape: 'rectangular'
  });
 // $("#lexpelement_word2vec .jqcloud").css("margin","-10%");
}

$(function () {
  Element.addVisualizer(Word2vec.id, Word2vec);

  $(window).on('resize', function() {
    clearTimeout(id);
    id = setTimeout(reloadJQCloud, 500);
  });

});